# file.write

Writes an ascii data string to a file

Usage

    file.write [-a] [-l] <filename> <data>

Description

Writes <data> (which is an ASCII string) to the file <filename>.
It does NOT append a traling LF character: if you want it you must explicitly specify it in the <data> parameter.
-a causes the command to append the <data> to the file instead of overwriting the entire file.
The path is adjusted according to the system that KVIrc is running on so you don't have to bother about portability: it *should* be automatically guaranteed. Just use UNIX style paths for them.
The file is saved in utf8 unless the -l switch is specified (in that case the local 8 bit encoding is used). Please note that uf8 is the only character set that preserves ALL the possible characters.

Switches

-a | --append
If the file already exists, append the data instead of overwriting the original contents.
-l | --local-8-bit
Causes the file to be written in the local 8 bit character set instead of the default utf8.

Syntax Specification

    file.write [-a] [-l] <filename:string> <data:string>

See also
file.rename, $file.exists

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011